Package org.apache.synapse.commons.staxon.core.base

## Class XMLStreamReaderScope<T>

- java.lang.Object
- - org.apache.synapse.commons.staxon.core.base.AbstractXMLStreamScope
  - - org.apache.synapse.commons.staxon.core.base.XMLStreamReaderScope<T>

- All Implemented Interfaces:
    `NamespaceContext`

      public class XMLStreamReaderScope<T>
      extends AbstractXMLStreamScope

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `XMLStreamReaderScope​(String defaultNamespace, T info)` |
    `XMLStreamReaderScope​(NamespaceContext parent, T info)` |
    `XMLStreamReaderScope​(XMLStreamReaderScope<T> parent, String prefix, String localName, String namespaceURI)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getAttributeCount()` |
    `QName` | `getAttributeName​(int index)` |
    `String` | `getAttributeValue​(int index)` |
    `String` | `getAttributeValue​(String namespaceURI, String localName)` |
    `T` | `getInfo()` |
    `int` | `getNamespaceCount()` |
    `String` | `getNamespacePrefix​(int index)` |
    `String` | `getNamespaceURI​(int index)` |
    `XMLStreamReaderScope<T>` | `getParent()` |

    - ### Methods inherited from class org.apache.synapse.commons.staxon.core.base.AbstractXMLStreamScope

      `getLastChild, getLocalName, getNamespaceURI, getNamespaceURI, getPrefix, getPrefix, getPrefixes, isRoot, isStartTagClosed, setPrefix`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLStreamReaderScope

          public XMLStreamReaderScope​(String defaultNamespace,
                                      T info)

    - #### XMLStreamReaderScope

          public XMLStreamReaderScope​(NamespaceContext parent,
                                      T info)

    - #### XMLStreamReaderScope

          public XMLStreamReaderScope​(XMLStreamReaderScope<T> parent,
                                      String prefix,
                                      String localName,
                                      String namespaceURI)

  - ### Method Detail

    - #### getInfo

          public T getInfo()

    - #### getParent

          public XMLStreamReaderScope<T> getParent()

      Overrides:
        `getParent` in class `AbstractXMLStreamScope`

    - #### getNamespaceCount

          public int getNamespaceCount()

    - #### getNamespacePrefix

          public String getNamespacePrefix​(int index)

    - #### getNamespaceURI

          public String getNamespaceURI​(int index)

    - #### getAttributeCount

          public int getAttributeCount()

    - #### getAttributeName

          public QName getAttributeName​(int index)

    - #### getAttributeValue

          public String getAttributeValue​(int index)

    - #### getAttributeValue

          public String getAttributeValue​(String namespaceURI,
                                          String localName)